# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.80.0"
name = "surrealcs-kernel"
version = "0.4.3"
build = false
publish = true
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "The SurrealCS kernel code for SurrealDB"
homepage = "https://github.com/surrealdb/surrealcs"
documentation = "https://docs.rs/surrealcs/"
readme = false
keywords = [
    "database",
    "embedded-database",
    "key-value",
    "key-value-store",
    "kv-store",
]
categories = [
    "database-implementations",
    "data-structures",
    "embedded",
]
license = "BUSL-1.1"
repository = "https://github.com/surrealdb/surrealcs"
resolver = "2"

[lib]
name = "surrealcs_kernel"
path = "src/lib.rs"

[dependencies.bincode]
version = "1.3.3"

[dependencies.chrono]
version = "0.4.38"

[dependencies.nanoservices-utils]
version = "0.1.6"

[dependencies.rand]
version = "0.8.5"
optional = true

[dependencies.revision]
version = "0.10.0"

[dependencies.serde]
version = "1.0.209"
features = ["derive"]

[dependencies.tempdir]
version = "0.3.7"
optional = true

[dependencies.tokio]
version = "1.40.0"
features = ["full"]

[dependencies.tracing]
version = "0.1.40"

[features]
logging = []
testing = [
    "tempdir",
    "rand",
]
